wifi
Device proxies

The wifi proxy is used to query the state of a wireless network. More...

## Classes

struct | playerc_wifi_link_t
| Individual link info. More...
struct | playerc_wifi_t
| Wifi device proxy. More...

## Functions

PLAYERC_EXPORT playerc_wifi_t * | playerc_wifi_create (playerc_client_t *client, int index)
| Create a wifi proxy. More...
PLAYERC_EXPORT void | playerc_wifi_destroy (playerc_wifi_t *device)
| Destroy a wifi proxy. More...
PLAYERC_EXPORT int | playerc_wifi_subscribe (playerc_wifi_t *device, int access)
| Subscribe to the wifi device. More...
PLAYERC_EXPORT int | playerc_wifi_unsubscribe (playerc_wifi_t *device)
| Un-subscribe from the wifi device. More...
PLAYERC_EXPORT playerc_wifi_link_t * | playerc_wifi_get_link (playerc_wifi_t *device, int link)
| Get link state. More...

## Detailed Description

The wifi proxy is used to query the state of a wireless network.

It returns information such as the link quality and signal strength of access points or of other wireless NIC's on an ad-hoc network.

## Function Documentation

PLAYERC_EXPORT playerc_wifi_t* playerc_wifi_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a wifi proxy.

PLAYERC_EXPORT void playerc_wifi_destroy | ( | playerc_wifi_t * | device | ) |

Destroy a wifi proxy.

PLAYERC_EXPORT playerc_wifi_link_t* playerc_wifi_get_link | ( | playerc_wifi_t * | device,
|  | int | link
| ) |  |

Get link state.

PLAYERC_EXPORT int playerc_wifi_subscribe | ( | playerc_wifi_t * | device,
|  | int | access
| ) |  |

Subscribe to the wifi device.

PLAYERC_EXPORT int playerc_wifi_unsubscribe | ( | playerc_wifi_t * | device | ) |

Un-subscribe from the wifi device.

Last updated 12 September 2005 21:38:45